Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226668 - Merge Review: zenity
Summary: Merge Review: zenity
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:36 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-11 02:42:55 UTC
tibbs: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:36:59 UTC
Fedora Merge Review: zenity

http://cvs.fedora.redhat.com/viewcvs/devel/zenity/
Initial Owner: mclasen@redhat.com

Comment 1 Jason Tibbitts 2007-08-01 17:17:49 UTC
What the heck, let's get rid of the Zs.

The License: tag says "GPL" but the COPYING file contains a copy of the LGPL and
the README file says LGPL.

/usr/share/gnome/help seems to be unowned and I can't trace anything in the
dependency list that would bring in yelp.  I know that there are some open
issues relating to yelp but frankly I don't know the proper thing to do here.

The scriptlets seem wrong; they aren't allowed to fail. 
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets recommends the following:

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun
scrollkeeper-update -q || :

Review:
* source files match upstream:
   0ac8e29fac4a2cbc26476fc7bfa8d4a0dd19247b3cd7dee89d5d855c2d996815  
   zenity-2.19.1.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   zenity = 2.19.1-1.fc8
  =
   /bin/sh
   /usr/bin/perl
   libX11.so.6()(64bit)
   libart_lgpl_2.so.2()(64bit)
   libatk-1.0.so.0()(64bit)
   libcairo.so.2()(64bit)
   libdbus-1.so.3()(64bit)
   libdbus-glib-1.so.2()(64bit)
   libgdk-x11-2.0.so.0()(64bit)
   libgdk_pixbuf-2.0.so.0()(64bit)
   libglade-2.0.so.0()(64bit)
   libglib-2.0.so.0()(64bit)
   libgmodule-2.0.so.0()(64bit)
   libgnomecanvas-2.so.0()(64bit)
   libgobject-2.0.so.0()(64bit)
   libgtk-x11-2.0.so.0()(64bit)
   libnotify.so.1()(64bit)
   libpango-1.0.so.0()(64bit)
   libpangocairo-1.0.so.0()(64bit)
   libxml2.so.2()(64bit)
   scrollkeeper
* %check is not present; no test suite upstream.  I installed the freshly built 
   package and it seems to work for me.
* no shared libraries are added to the regular linker search paths.
X /usr/share/gnome/help is unowned 
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* locale files present; %find_lang used properly.
X scriptlets don't seem correct.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
* not really a GUI app (even though it opens GUI dialogs), so no need for a 
  desktop file.

Comment 2 Matthias Clasen 2007-08-01 17:38:04 UTC
I've fixed the license and the sriptlets. 
For the /usr/share/gnome/help ownership, we recently added a yelp dependency to
libgnomeui, which was helpfully dropped again by rel-eng, but seeing that zenity 
doesn't require libgnomeui anyway, and in the interest of getting rid of this
review, I've added a yelp dependency here.

The dependencies are almost sane. I'm a bit unappy that we pull in perl just for
the gdialog compat script, that probably nobody ever uses. I'll ponder dropping
it. And libdbus-glib is only pulled in because of a defective libnotify.pc file,
I believe.

Anyway, see if you are happy now.

Comment 3 Jason Tibbitts 2007-08-01 17:45:38 UTC
Yes, this looks good to me.

APPROVED


Comment 4 Matthias Clasen 2007-08-11 02:42:55 UTC
Review done.


Note You need to log in before you can comment on or make changes to this bug.